# OperationResult

interface OperationResult

Describes the result of running an operation.

#### Since

2.4

#### Inheritors

SuccessResult
SkippedResult
FailureResult
WorkItemOperationResult
TaskOperationResult
ProjectConfigurationOperationResult
TransformOperationResult
TestOperationResult
FileDownloadResult

## Functions

getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
Returns the time when the operation finished its execution.
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long
Returns the time when the operation started its execution.